libauparse-dev_2.4.5-1ubuntu2_amd64.deb


Advertisement

Description

libauparse-dev - Header files and static library for the libauparse0 library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libauparse-dev_2.4.5-1ubuntu2_amd64.deb
Package name libauparse-dev
Package version 2.4.5
Package release 1ubuntu2
Package architecture amd64
Package type deb
Category libdevel
Homepage http://people.redhat.com/sgrubb/audit/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 62.28 KB
Installed size 224.00 KB
The audit-libs parse package contains the dynamic libraries needed for
applications to use the audit framework. It is used to monitor systems for
security related events.

Alternatives

Package Version Architecture Repository
libauparse-dev_2.4.5-1ubuntu2.1_i386.deb 2.4.5 i386 Ubuntu Updates Main
libauparse-dev_2.4.5-1ubuntu2.1_amd64.deb 2.4.5 amd64 Ubuntu Updates Main
libauparse-dev_2.4.5-1ubuntu2_i386.deb 2.4.5 i386 Ubuntu Main
libauparse-dev - - -

Requires

Name Value
libauparse0 = 1:2.4.5-1ubuntu2

Replaces

Name Value
libaudit-dev << 1:2.2.1-2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libauparse-dev_2.4.5-1ubuntu2_amd64.deb
Source Package audit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libauparse-dev deb package:
    # sudo apt-get install libauparse-dev

Files

Path
/usr/include/auparse-defs.h
/usr/include/auparse.h
/usr/lib/x86_64-linux-gnu/libauparse.a
/usr/lib/x86_64-linux-gnu/libauparse.so
/usr/lib/x86_64-linux-gnu/pkgconfig/auparse.pc
/usr/share/doc/libauparse-dev/changelog.Debian.gz
/usr/share/doc/libauparse-dev/copyright
/usr/share/man/man3/auparse_add_callback.3.gz
/usr/share/man/man3/auparse_destroy.3.gz
/usr/share/man/man3/auparse_feed.3.gz
/usr/share/man/man3/auparse_feed_has_data.3.gz
/usr/share/man/man3/auparse_find_field.3.gz
/usr/share/man/man3/auparse_find_field_next.3.gz
/usr/share/man/man3/auparse_first_field.3.gz
/usr/share/man/man3/auparse_first_record.3.gz
/usr/share/man/man3/auparse_flush_feed.3.gz
/usr/share/man/man3/auparse_get_field_int.3.gz
/usr/share/man/man3/auparse_get_field_name.3.gz
/usr/share/man/man3/auparse_get_field_str.3.gz
/usr/share/man/man3/auparse_get_field_type.3.gz
/usr/share/man/man3/auparse_get_filename.3.gz
/usr/share/man/man3/auparse_get_line_number.3.gz
/usr/share/man/man3/auparse_get_milli.3.gz
/usr/share/man/man3/auparse_get_node.3.gz
/usr/share/man/man3/auparse_get_num_fields.3.gz
/usr/share/man/man3/auparse_get_num_records.3.gz
/usr/share/man/man3/auparse_get_record_text.3.gz
/usr/share/man/man3/auparse_get_serial.3.gz
/usr/share/man/man3/auparse_get_time.3.gz
/usr/share/man/man3/auparse_get_timestamp.3.gz
/usr/share/man/man3/auparse_get_type.3.gz
/usr/share/man/man3/auparse_goto_record_num.3.gz
/usr/share/man/man3/auparse_init.3.gz
/usr/share/man/man3/auparse_interpret_field.3.gz
/usr/share/man/man3/auparse_next_event.3.gz
/usr/share/man/man3/auparse_next_field.3.gz
/usr/share/man/man3/auparse_next_record.3.gz
/usr/share/man/man3/auparse_node_compare.3.gz
/usr/share/man/man3/auparse_reset.3.gz
/usr/share/man/man3/auparse_timestamp_compare.3.gz
/usr/share/man/man3/ausearch_add_expression.3.gz
/usr/share/man/man3/ausearch_add_interpreted_item.3.gz
/usr/share/man/man3/ausearch_add_item.3.gz
/usr/share/man/man3/ausearch_add_regex.3.gz
/usr/share/man/man3/ausearch_add_timestamp_item.3.gz
/usr/share/man/man3/ausearch_add_timestamp_item_ex.3.gz
/usr/share/man/man3/ausearch_clear.3.gz
/usr/share/man/man3/ausearch_next_event.3.gz
/usr/share/man/man3/ausearch_set_stop.3.gz

Changelog

2016-01-18 - Matthias Klose <doko@ubuntu.com>
audit (1:2.4.5-1ubuntu2) xenial; urgency=medium
* No-change rebuild to drop python3.4 support.
2016-01-12 - Steve Langasek <steve.langasek@ubuntu.com>
audit (1:2.4.5-1ubuntu1) xenial; urgency=low
* Merge from Debian unstable.  Remaining changes:
- debian/rules: Disable auditd network listener, with --disable-listener,
to reduce the risk of a remote attack on auditd, which runs as root
- debian/auditd.init: The start command now requires $remote_fs to be
started because it may call /bin/augenrules, which depends on
/usr/bin/awk. $PATH must also be updated so that augenrules can find
awk.
2015-12-26 - Laurent Bigonville <bigon@debian.org>
audit (1:2.4.5-1) unstable; urgency=medium
* New upstream release
* Fix FTBFS when building arch-independent packages (Closes: #805996)
* debian/libaudit-dev.install: Install audit.m4 file
2015-10-30 - Steve Langasek <steve.langasek@ubuntu.com>
audit (1:2.4.4-4ubuntu1) xenial; urgency=low
* Merge from Debian unstable.  Remaining changes:
- debian/rules: Disable auditd network listener, with --disable-listener,
to reduce the risk of a remote attack on auditd, which runs as root
- debian/auditd.init: The start command now requires $remote_fs to be
started because it may call /bin/augenrules, which depends on
/usr/bin/awk. $PATH must also be updated so that augenrules can find
awk.
2015-10-04 - Laurent Bigonville <bigon@debian.org>
audit (1:2.4.4-4) unstable; urgency=medium
* Build python3 bindings for all python3 versions (Closes: #800117)
2015-09-17 - Laurent Bigonville <bigon@debian.org>
audit (1:2.4.4-3) unstable; urgency=medium
* debian/control: Move golang-go to Build-Depends-Indep, it's only needed
for an arch:all package and not available on all architectures
2015-09-09 - Laurent Bigonville <bigon@debian.org>
audit (1:2.4.4-2) unstable; urgency=medium
* Start building the golang binding
* Start building python3 binding package
2015-08-24 - Laurent Bigonville <bigon@debian.org>
audit (1:2.4.4-1) unstable; urgency=medium
* New upstream release
- Fix log terminal emulator escape sequences handling (Closes: #795457
CVE-2015-5186)
- Internal libev updated to 4.20, this should fix the clang FTBFS (Closes:
#787066)
- debian/libauparse0.symbols: Adjust the symbols file
* Install .pc files in the respective -dev packages
* debian/control: Explicitly build-depends against dh-python
* debian/rules: Unconditionally enable Aarch64 processor support now that
it's an official port.
2015-08-12 - Steve Langasek <steve.langasek@ubuntu.com>
audit (1:2.4.2-1ubuntu1) wily; urgency=low
* Merge from Debian unstable.  Remaining changes:
- debian/rules: Disable auditd network listener, with --disable-listener,
to reduce the risk of a remote attack on auditd, which runs as root
- debian/auditd.init: The start command now requires $remote_fs to be
started because it may call /bin/augenrules, which depends on
/usr/bin/awk. $PATH must also be updated so that augenrules can find
awk.
* Dropped changes, included upstream:
- Backport ppc64el support changeset
* Re-add build-dependency on libwrap; it's only used by the listener so
it's a spurious build-dependency in Ubuntu, but nothing we need to carry
a delta for since libwrap is in main.
2015-06-08 - Laurent Bigonville <bigon@debian.org>
audit (1:2.4.2-1) unstable; urgency=medium
* New upstream release
- Adjust the .symbols files
* debian/watch: Fix URL to download the proper tarball
* debian/control: Bump Standards-Version to 3.9.6 (no further changes)

See Also

Package Description
libauparse0_2.4.5-1ubuntu2_amd64.deb Dynamic library for parsing security auditing
libauthen-sasl-perl_2.1600-1_all.deb Authen::SASL - SASL Authentication framework
libavahi-client-dev_0.6.32~rc+dfsg-1ubuntu2_amd64.deb Development files for the Avahi client library
libavahi-client3_0.6.32~rc+dfsg-1ubuntu2_amd64.deb Avahi client library
libavahi-common-data_0.6.32~rc+dfsg-1ubuntu2_amd64.deb Avahi common data files
libavahi-common-dev_0.6.32~rc+dfsg-1ubuntu2_amd64.deb Development files for the Avahi common library
libavahi-common3_0.6.32~rc+dfsg-1ubuntu2_amd64.deb Avahi common library
libavahi-compat-libdnssd-dev_0.6.32~rc+dfsg-1ubuntu2_amd64.deb Development headers for the Avahi Apple Bonjour compatibility library
libavahi-compat-libdnssd1_0.6.32~rc+dfsg-1ubuntu2_amd64.deb Avahi Apple Bonjour compatibility library
libavahi-core-dev_0.6.32~rc+dfsg-1ubuntu2_amd64.deb Development files for Avahi's embeddable mDNS/DNS-SD library
libavahi-core7_0.6.32~rc+dfsg-1ubuntu2_amd64.deb Avahi's embeddable mDNS/DNS-SD library
libavahi-glib-dev_0.6.32~rc+dfsg-1ubuntu2_amd64.deb Development headers for the Avahi GLib integration library
libavahi-glib1_0.6.32~rc+dfsg-1ubuntu2_amd64.deb Avahi GLib integration library
libavahi-gobject-dev_0.6.32~rc+dfsg-1ubuntu2_amd64.deb Development headers for the Avahi GObject library
libavahi-gobject0_0.6.32~rc+dfsg-1ubuntu2_amd64.deb Avahi GObject library
Advertisement
Advertisement